सामग्री पर जाएँ

Hunyuan World · Image to World

इंटीग्रेट करें

मॉडल id hunyuan_world/image-to-world
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan_world/image-to-world?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.30 300 API क्रेडिट · ≈ ₽32.19 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

एक इमेज को 3D वर्ल्ड फ़ाइल में बदलता है, जिसमें फ़ोरग्राउंड लेबल और क्लास मार्गदर्शन देते हैं

Tencent · डेटा (JSON)

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

वर्ल्ड में रूपांतरण के लिए स्रोत इमेज URL।

•आवश्यक

अग्रभूमि की पहली वस्तु को दिए गए लेबल।

•आवश्यक

अग्रभूमि की दूसरी वस्तु को दिए गए लेबल।

•आवश्यक

वर्ल्ड बनाने के लिए उपयोग की गई classes।

उन्नत export_drc · enable_safety_checker
POST /run/hunyuan_world/image-to-world?wait=20 कोटेशन → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan_world/image-to-world?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Hunyuan World · Image to World के बारे में

`image_url` से 3D वर्ल्ड बनाता है। दो फ़ोरग्राउंड ऑब्जेक्ट के लिए `labels_fg1` और `labels_fg2`, साथ ही निर्माण के लिए `classes` आवश्यक हैं। `export_drc` वैकल्पिक है और डिफ़ॉल्ट रूप से बंद रहता है। JSON-प्रकार का आउटपुट वर्ल्ड फ़ाइल के रूप में लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
वर्ल्ड में रूपांतरण के लिए स्रोत इमेज URL।
labels_fg1आवश्यक
प्रकारstring
अग्रभूमि की पहली वस्तु को दिए गए लेबल।
labels_fg2आवश्यक
प्रकारstring
अग्रभूमि की दूसरी वस्तु को दिए गए लेबल।
classesआवश्यक
प्रकारstring
वर्ल्ड बनाने के लिए उपयोग की गई classes।
export_drcवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
DRC (Dynamic Resource Configuration) के निर्यात को नियंत्रित करता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan_world/image-to-world",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "labels_fg1": "tree, grass, sky",
    "labels_fg2": "mountain, water",
    "classes": "nature, landscape"
  },
  "output": {
    "world_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
world_file
object {url, content_type, file_name, file_size}निर्माण से तैयार वर्ल्ड।

और मॉडल: इमेज से 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/hunyuan_world/image-to-world.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt